# SolrParams::toString

(PECL solr >= 0.9.2)

SolrParams::toString — Returns all the name-value pair parameters in the object

### Description

final public SolrParams::toString ([ bool `$url_encode` = `FALSE` ] ) : string

Returns all the name-value pair parameters in the object

### Parameters

`url_encode`

  Whether to return URL-encoded values

### Return Values

Returns a string on success and `FALSE` on failure.